Subject: Re: compressor for word-aligned data?

From: [email-masked] (Jan-Pieter Cornet)
Date: Fri, 30 Dec 94 17:35:45 +0100

[email-masked] (Arndt Brenschede) once said:

> we are dealing with large data-files from containing essentially
> 12-bit adc data. The files are word-aligned, that means, 16 bit are used
> instead of 12. It would be nice
> sometimes to compress these files, but gzip (and probably most
> other compressers) does no good job.

Try UC2 in the "tight/multimedia" mode (UC A -TT arch file ...). When
your file is indeed better compressed in 16-bit mode, UC2 should
auto-detect this and produce a tighter archive.

If you want something on another platform than DOS/Windows/OS2, your
best bet is to write a filter (actually, two filters with opposite
effects) that pre-processes your file into something that compresses
better. Examples: take word-wise delta values, or re-order the bytes in
your file from 0 1 2 3 4 5 ... to: 0 2 4 ... 1 3 5 ...

Good luck,

=====BEGIN FRACTAL-COMPRESSED SIGNATURE=====            |   Jan-Pieter Cornet
!PGP0XA4E77CCB/KVC=1FCBE41048A009550F68867928EB8DDF     | <[email-masked]>
=====END FRACTAL-COMPRESSED SIGNATURE=====                                ;-)
My v2.6 decompressor (out soon!) will expand this to a 72 minutes MPEG movie!